View Issue Details

IDProjectCategoryView StatusLast Update
0000747luatexluatex bugpublic2015-11-05 11:29
ReporterPaul IsambertAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.70.1 
Target VersionFixed in Version0.85.0 
Summary0000747: Error when removing last node in ligaturing and kerning callbacks.
DescriptionThe code produces "This can't happen (linebreak_tail)". Returning the head with or without the new tail doesn't change anything.
Steps To Reproducecallback.register("ligaturing", -- or "kerning"
  function (head)
    node.remove(head, node.tail(head))
  end)

TagsNo tags attached.

Activities

Hans Hagen

2015-11-05 11:29

manager   ~0001519

we exit with a better message

Issue History

Date Modified Username Field Change
2012-03-06 06:40 Paul Isambert New Issue
2014-03-30 11:40 Hans Hagen Assigned To => Hans Hagen
2014-03-30 11:40 Hans Hagen Status new => assigned
2015-11-05 11:29 Hans Hagen Note Added: 0001519
2015-11-05 11:29 Hans Hagen Status assigned => closed
2015-11-05 11:29 Hans Hagen Resolution open => fixed
2015-11-05 11:29 Hans Hagen Fixed in Version => 0.85.0